org.eclipse.wst.jsdt.ui.text

## Interface IColorManagerExtension

    public interface IColorManagerExtension

Extends `IColorManager` with the ability to bind and un-bind colors. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bindColor(java.lang.String key, RGB rgb)` Remembers the given color specification under the given key.
`void` `unbindColor(java.lang.String key)` Forgets the color specification remembered under the given key.

### Method Detail

#### bindColor

    void bindColor(java.lang.String key,
                   RGB rgb)

Remembers the given color specification under the given key.

Parameters:
  `key` - the color key
  `rgb` - the color specification
Throws:
  `java.lang.UnsupportedOperationException` - if there is already a color specification remembered under the given key

#### unbindColor

    void unbindColor(java.lang.String key)

Forgets the color specification remembered under the given key.

Parameters:
  `key` - the color key